#pragma once

#include <nana/gui/animation.hpp>

namespace duck {
	class AnimationWithSize : public nana::animation {
	public:
		explicit AnimationWithSize (nana::size sz, std::size_t fps = 23);
		AnimationWithSize (AnimationWithSize&& other);

		AnimationWithSize& operator= (AnimationWithSize&& other);
		~AnimationWithSize() noexcept;

		const nana::size& size() const { return m_size; }

	private:
		nana::size m_size;
	};
} //namespace duck
