#pragma once

#include "memcard/block.hpp"
#include <vector>
#include <iostream>
#include <cstdint>
#include <array>
#include <cstddef>

namespace mc {
class MemoryCard {
public:
	MemoryCard();
	explicit MemoryCard (std::istream&& raw_mc);
	~MemoryCard();

	Block operator[] (std::size_t index);
	ConstBlock operator[] (std::size_t index) const;

private:
	std::vector<uint8_t> m_data;
};
} //namespace mc
